/*
wijit utils.h : include file for some basic registry functions
Copyright (C) 1999-2000 Keith Minkler <tsbandit@jabber.org>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You can reach The author at tsbandit@jabber.org (email or jid)
*/
#ifndef WIJIT_UTILS_H
#define WIJIT_UTILS_H

bool LoadRegValue(HKEY key, const char* name, CString& value)
{
	BYTE dataBuf[255];
	unsigned long dataSz = 255;
	unsigned long dataType = 0;
	
	if ((ERROR_SUCCESS == RegQueryValueExA(key, name, 0, &dataType, dataBuf, &dataSz)) &&
		(dataType == REG_SZ))
	{
		value = dataBuf;
		return true;
	}
	value = "";
	return false;
}


bool LoadRegValue(HKEY key, const char* name, UINT& value)
{
	BYTE dataBuf[255];
	unsigned long dataSz = 255;
	unsigned long dataType = 0;

	if (ERROR_SUCCESS == RegQueryValueExA(key, name, 0, &dataType, dataBuf, &dataSz)) 
	{
		value = atoi((char*)dataBuf);
		return true;
	}
	value = 0;
	return false;
}

bool LoadRegValue(HKEY key, const char* name, BOOL &value)
{
	UINT val;
	bool foo = LoadRegValue( key, name, val );
	if( val ) 
		value = TRUE;
	else
		value = FALSE;
	return foo;
}

bool SaveRegValue(HKEY key, const char* name, CString& value)
{
	if( value == "" ) value = " ";
 if (ERROR_SUCCESS == RegSetValueExA(key, name, 0, REG_SZ, (unsigned char*)LPCSTR(value), value.GetLength()))
  return true;
 else
  return false;
}

bool SaveRegValue(HKEY key, const char* name, UINT value)
{
 BYTE dataBuf[5];
 unsigned long dataSz = 10;
 itoa(value, (char*)&dataBuf, dataSz);
 if (ERROR_SUCCESS == RegSetValueEx( key, name, 0, REG_SZ, dataBuf, dataSz))
  return true;
 else
  return false;
}


#endif